Download it now!
Bug 90869 - EDITING: Interactive image crop tool allows crop outside of original image area, expands image
Summary: EDITING: Interactive image crop tool allows crop outside of original image ar...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Image-Crop
  Show dependency treegraph
 
Reported: 2015-04-25 19:40 UTC by tmacalp
Modified: 2020-06-03 03:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (434.43 KB, application/vnd.oasis.opendocument.text)
2017-01-07 16:14 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tmacalp 2015-04-25 19:40:57 UTC
Description:
With the new interactive crop tool in LO 4.4 in Draw/Impress, it's possible to drag the handles outside the bounds of the image and expand the image.  When crop is then applied, the image area actually grows to fill that blank area.

Steps to reproduce:
1. New drawing
2. Insert image
3. Right click image and Crop Image
4. Drag one of the crop handles outside of the bounds of the image
5. Apply the crop

Expected:
The crop tool should only be able reduce the bounds of the image.  It should never cause the image area to expand outside of the bounds of the original image area.

Actual:
The image now has been "grown" out to fill the entire crop region.  If you select the image, you will see that the image now extends to fill your selected crop region.  

Notes:
The crop handles created when selecting the crop should still be allowed to extend beyond the borders of the image.  But the applied crop should never be allowed to "grow" the image to fill that region.
Comment 1 Yousuf Philips (jay) (retired) 2015-04-25 19:48:25 UTC
Confirmed, as mentioned by me in bug 86329 comment 18 answer 2.

Version: 5.0.0.0.alpha1+
Build ID: badec7478035008f514e0976a94438fe2e32dc40
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-04-22_00:50:58
Comment 2 Yousuf Philips (jay) (retired) 2015-04-25 20:09:51 UTC
It should be noted that the non-interactive crop dialog (Format > Crop Image... - .uno:GrafAttrCrop) also allows you to do the same.
Comment 3 QA Administrators 2016-09-20 09:31:53 UTC Comment hidden (obsolete)
Comment 4 Telesto 2017-01-07 16:14:23 UTC
Created attachment 130242 [details]
Example file

Confirming with:
Version: 5.4.0.0.alpha0+
Build ID: 92a1ad1f36b6d3cc13135a8c0805508933011577
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-01-06_23:42:59
Locale: nl-NL (nl_NL); Calc: CL
Comment 5 QA Administrators 2018-06-02 03:10:45 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2020-06-03 03:48:33 UTC
Dear tmacalp,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug